Description

Associated revisions

Revision 287 - 12/27/2012 04:54 AM - Luke Murphey

Added indexing in order to improve lemma lookup performance. Closes #495.

Revision 287 - 12/27/2012 04:54 AM - Luke Murphey

Added indexing in order to improve lemma lookup performance. Closes #495.

Revision 279 - 12/27/2012 04:54 AM - Luke Murphey

Added indexing in order to improve lemma lookup performance. Closes #495.

History

#1 - 12/26/2012 10:30 PM - Luke Murphey

- Status changed from New to In Progress

The lookups take about 3 to 3.5 seconds on my laptop.

#2 - 12/26/2012 10:41 PM - Luke Murphey

| made indexes and the performance improved dramatically. The lookup time decreased to about 15 ms with indexing. The indexes can be created
with the following:

create index "reader_wordform_form" on "reader_wordform" ("form");
create index "reader_wordform_basic_form" on "reader_wordform" ("basic_form");

In Python, you can do the following:
from django.db import transaction
from django.db import connections

cursor = connections|['library'].cursor ()

cursor.execute ("create index \"reader_wordform_form\" on \"reader_wordform\" (\"form\")")
transaction.commit_unless_managed/()

cursor.execute ("create index \"reader_wordform_basic_form\" on \"reader_wordform\" (\"basic_form\")")
transaction.commit_unless_managed /()
#3 - 12/27/2012 04:57 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r287.
https://lukemurphey.net/projects/ancient-text-reader/repository/revisions/287
